curl --request GET \
--url https://api.rhino.fi/sda/deposit-addresses/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rhino.fi/sda/deposit-addresses/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rhino.fi/sda/deposit-addresses/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextPageToken": "<string>",
"items": [
{
"depositChain": "<string>",
"depositAddress": "<string>",
"destinationChain": "<string>",
"isPaused": true,
"userId": "<string>",
"destinationAddress": "<string>",
"addressNote": "<string>",
"postBridgeData": {
"_tag": "extended",
"vaultId": 1
},
"tokenOut": "<string>",
"refundAddress": "<string>",
"bridgeIfNotSwappable": true,
"chainMetadata": {
"_tag": "STELLAR",
"baseAddress": "<string>",
"memoId": "<string>"
},
"_tag": "legacy",
"webhookUrl": "<string>"
}
]
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"_tag": "InvalidRequest"
}Obtain a specific Smart Deposit Address/es based on various criteria
This endpoint allows you to find a specific Smart Deposit Address or Addresses based on provided criteria.
Authorizations
JWT token for authentication
Query Parameters
A note or label for the deposit address as a reference, e.g. "ClientID123456" (max 80 characters).
80The blockchain where the deposit was sent to, e.g. "ETHEREUM".
1The blockchain that the tokenOut will be bridged to, e.g. "AVALANCHE".
1The address where tokenOut will be bridged to, e.g. "0x123...ABC".
1An opaque token identifying the page of results to return, as provided by the nextPageToken field of a previous response. Should be used in conjunction with pageSize.
1The number of results to display per pageToken, e.g. "25". This helps filter long responses and should be used in conjunction with pageToken.
Response
SearchDepositAddressResponse
An opaque token identifying the next page of results, to be passed in the pageToken query param to fetch it. Null when there are no further pages.
1The Smart Deposit Addresses matching the given search criteria.
Show child attributes
Show child attributes